Bug 833373 - jbosseap default builder size in jenkins should be small as well
jbosseap default builder size in jenkins should be small as well
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Rob Millner
libra bugs
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-19 06:35 EDT by Meng Bo
Modified: 2015-05-14 18:55 EDT (History)
2 users (show)

See Also:
Fixed In Version: cartridge-jbosseap-6.0-0.2.2+
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-13 19:44:00 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Meng Bo 2012-06-19 06:35:27 EDT
Description of problem:
jbossas has been changed to small builder size in jenkins, jbosseap should be changed too.

Version-Release number of selected component (if applicable):
cartridge-jenkins-client-1.4-0.28.2-1.git.0.26686f7.el6.noarch
cartridge-jenkins-1.4-0.94.3-1.git.0.2d55cc2.el6.noarch

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Since non-vip user can push the build, mark the bug as lower severity
Comment 1 Rob Millner 2012-06-19 16:03:07 EDT
Crankcase commit 32d4e7f; will submit pull request after stg cut.
Comment 2 Rob Millner 2012-06-25 15:24:13 EDT
Pull request 158.
Comment 3 Meng Bo 2012-06-28 04:41:40 EDT
Patch is not included in devenv_1868, will check it when new build comes.
Comment 4 Rony Gong 2012-07-01 23:29:13 EDT
verified on devenv_1869,the jbosseap jenkins build size is small.
Started by user Jenkins System Builder
Building remotely on jbosseapbldr in workspace jbosseapbldr/ci/jenkins/workspace/jbosseap-build
Checkout:jbosseap-build / jbosseapbldr/ci/jenkins/workspace/jbosseap-build - hudson.remoting.Channel@1b75e54:jbosseapbldr
Using strategy: Default
Checkout:jbosseap-build / jbosseapbldr/ci/jenkins/workspace/jbosseap-build - hudson.remoting.LocalChannel@14b5e6d
Cloning the remote Git repository
Cloning repository origin
Fetching upstream changes from ssh://d7e2167fc9e148af9e78c6beb4c219ce@jbosseap-qgong.dev.rhcloud.com/~/git/jbosseap.git/
Seen branch in repository origin/HEAD
Seen branch in repository origin/master
Commencing build of Revision 390a7c03c95ab19c8001cb6ac0b235d6abfbf41f (origin/HEAD, origin/master)
Checking out Revision 390a7c03c95ab19c8001cb6ac0b235d6abfbf41f (origin/HEAD, origin/master)
No change to record in branch origin/HEAD
No change to record in branch origin/master
[jbosseap-build] $ /bin/sh -xe /tmp/hudson4677850301949819064.sh
+ alias 'rsync=rsync --delete-after -az -e '\''/usr/libexec/stickshift/cartridges/jenkins-1.4/info/bin/git_ssh_wrapper.sh'\'''
+ rsync --delete-after -az -e /usr/libexec/stickshift/cartridges/jenkins-1.4/info/bin/git_ssh_wrapper.sh 'd7e2167fc9e148af9e78c6beb4c219ce@jbosseap-qgong.dev.rhcloud.com:~/.m2/' /var/lib/stickshift/df6b0ea8fac34bbb8b6b3d8d2c771be5/.m2/
+ . ci_build.sh
++ set +x
Running .openshift/action_hooks/pre_build
Running .openshift/action_hooks/build
+ export MAVEN_OPTS=-Xmx396m
+ MAVEN_OPTS=-Xmx396m
+ mvn --global-settings /usr/libexec/stickshift/cartridges/jbosseap-6.0/info/configuration/settings.stg.xml --version
Apache Maven 3.0.3 (r1075437; 2011-06-20 13:22:37-0400)
Maven home: /etc/alternatives/maven-3.0
Java version: 1.6.0_24, vendor: Sun Microsystems Inc.
Java home: /usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0/jre
Default locale: en_US, platform encoding: ANSI_X3.4-1968
OS name: "linux", version: "2.6.32-279.el6.x86_64", arch: "i386", family: "unix"
+ mvn --global-settings /usr/libexec/stickshift/cartridges/jbosseap-6.0/info/configuration/settings.stg.xml clean package -Popenshift -DskipTests
[INFO] Scanning for projects...
[INFO]                                                                         
[INFO] ------------------------------------------------------------------------
[INFO] Building jbosseap 1.0
[INFO] ------------------------------------------------------------------------
Downloading: http://maven.repository.redhat.com/techpreview/all/org/apache/maven/plugins/maven-clean-plugin/2.4.1/maven-clean-plugin-2.4.1.pom

Downloading: http://mirror1.stg.rhcloud.com:80/nexus/content/groups/public/org/apache/maven/plugins/maven-clean-plugin/2.4.1/maven-clean-plugin-2.4.1.pom
4 KB   
..............

INFO] Packaging webapp [INFO] Assembling webapp [jbosseap] in [/var/lib/stickshift/df6b0ea8fac34bbb8b6b3d8d2c771be5/jbosseap-6.0/ci/jenkins/workspace/jbosseap-build/target/jbosseap] [INFO] Processing war project [INFO] Copying webapp resources [/var/lib/stickshift/df6b0ea8fac34bbb8b6b3d8d2c771be5/jbosseap-6.0/ci/jenkins/workspace/jbosseap-build/src/main/webapp] [INFO] Webapp assembled in [183 msecs] [INFO] Building war: /var/lib/stickshift/df6b0ea8fac34bbb8b6b3d8d2c771be5/jbosseap-6.0/ci/jenkins/workspace/jbosseap-build/deployments/ROOT.war [INFO] WEB-INF/web.xml already added, skipping [INFO] ------------------------------------------------------------------------ [INFO] BUILD SUCCESS [INFO] ------------------------------------------------------------------------ [INFO] Total time: 1:11.500s [INFO] Finished at: Sun Jul 01 22:58:27 EDT 2012 [INFO] Final Memory: 9M/23M [INFO] ------------------------------------------------------------------------ + /usr/libexec/stickshift/cartridges/jenkins-1.4/info/bin/git_ssh_wrapper.sh d7e2167fc9e148af9e78c6beb4c219ce@jbosseap-qgong.dev.rhcloud.com 'ctl_all stop' ********************************************************************* You are accessing a service that is for use only by authorized users. If you do not have authorization, discontinue use at once. Any use of the services is subject to the applicable terms of the agreement which can be found at: https://openshift.redhat.com/app/legal ********************************************************************* Welcome to OpenShift shell This shell will assist you in managing OpenShift applications. !!! IMPORTANT !!! IMPORTANT !!! IMPORTANT !!! Shell access is quite powerful and it is possible for you to accidentally damage your application. Proceed with care! If worse comes to worst, destroy your application with 'rhc app destroy' and recreate it !!! IMPORTANT !!! IMPORTANT !!! IMPORTANT !!! Type "help" for more info. WARNING: This ssh terminal was started without a tty. It is highly recommended to login with: ssh -t + /var/lib/stickshift/d7e2167fc9e148af9e78c6beb4c219ce/jbosseap-6.0/jbosseap_ctl.sh stop + rsync --delete-after -az -e /usr/libexec/stickshift/cartridges/jenkins-1.4/info/bin/git_ssh_wrapper.sh /var/lib/stickshift/df6b0ea8fac34bbb8b6b3d8d2c771be5/.m2/ 'd7e2167fc9e148af9e78c6beb4c219ce@jbosseap-qgong.dev.rhcloud.com:~/.m2/' + rsync --delete-after -az -e /usr/libexec/stickshift/cartridges/jenkins-1.4/info/bin/git_ssh_wrapper.sh /var/lib/stickshift/df6b0ea8fac34bbb8b6b3d8d2c771be5/jbosseapbldr/ci/jenkins/workspace/jbosseap-build/deployments/. 'd7e2167fc9e148af9e78c6beb4c219ce@jbosseap-qgong.dev.rhcloud.com:~/jbosseap/repo/deployments/' + rsync --delete-after -az -e /usr/libexec/stickshift/cartridges/jenkins-1.4/info/bin/git_ssh_wrapper.sh /var/lib/stickshift/df6b0ea8fac34bbb8b6b3d8d2c771be5/jbosseapbldr/ci/jenkins/workspace/jbosseap-build/.openshift/ 'd7e2167fc9e148af9e78c6beb4c219ce@jbosseap-qgong.dev.rhcloud.com:~/jbosseap/repo/.openshift/' + /usr/libexec/stickshift/cartridges/jenkins-1.4/info/bin/git_ssh_wrapper.sh d7e2167fc9e148af9e78c6beb4c219ce@jbosseap-qgong.dev.rhcloud.com deploy.sh Emptying tmp dir: /var/lib/stickshift/d7e2167fc9e148af9e78c6beb4c219ce/jbosseap/jbosseap-6.0/standalone/tmp/auth Emptying tmp dir: /var/lib/stickshift/d7e2167fc9e148af9e78c6beb4c219ce/jbosseap/jbosseap-6.0/standalone/tmp/vfs Emptying tmp dir: /var/lib/stickshift/d7e2167fc9e148af9e78c6beb4c219ce/jbosseap/jbosseap-6.0/standalone/tmp/work Running .openshift/action_hooks/deploy + /usr/libexec/stickshift/cartridges/jenkins-1.4/info/bin/git_ssh_wrapper.sh d7e2167fc9e148af9e78c6beb4c219ce@jbosseap-qgong.dev.rhcloud.com 'ctl_all start'
********************************************************************* You are accessing a service that is for use only by authorized users. If you do not have authorization, discontinue use at once. Any use of the services is subject to the applicable terms of the agreement which can be found at: https://openshift.redhat.com/app/legal ********************************************************************* Welcome to OpenShift shell This shell will assist you in managing OpenShift applications. !!! IMPORTANT !!! IMPORTANT !!! IMPORTANT !!! Shell access is quite powerful and it is possible for you to accidentally damage your application. Proceed with care! If worse comes to worst, destroy your application with 'rhc app destroy' and recreate it !!! IMPORTANT !!! IMPORTANT !!! IMPORTANT !!! Type "help" for more info. WARNING: This ssh terminal was started without a tty. It is highly recommended to login with: ssh -t + /var/lib/stickshift/d7e2167fc9e148af9e78c6beb4c219ce/jbosseap-6.0/jbosseap_ctl.sh start
+ /usr/libexec/stickshift/cartridges/jenkins-1.4/info/bin/git_ssh_wrapper.sh d7e2167fc9e148af9e78c6beb4c219ce@jbosseap-qgong.dev.rhcloud.com post_deploy.sh
Running .openshift/action_hooks/post_deploy Archiving artifacts

Note You need to log in before you can comment on or make changes to this bug.